Skip to main content
GET
/
orgs
/
{org_id}
/
contacts
/
{contact_id}
/
notes
List contact notes
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/contacts/{contact_id}/notes \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "contact_id": "<string>",
    "content": "<string>",
    "attachments": [
      {
        "id": "<string>",
        "file_path": "<string>",
        "file_filename": "document.pdf",
        "file_size": 1024,
        "file_mimetype": "application/pdf",
        "file_url": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "user": {
      "id": "<string>",
      "name": "<string>",
      "avatar": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

contact_id
string
required

Contact ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
contact_id
string
required
content
string | null
required
attachments
object[]
required

Files attached to the note

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
user
object

User who created the note